Get session metadata
curl --request GET \
--url https://api.acornops.dev/api/v1/sessions/{sessionId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"createdBy": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdByUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"displayName": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"origin": "manual",
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"severity": "critical",
"scopeKind": "<string>",
"scopeName": "<string>",
"objectKind": "<string>",
"objectName": "<string>",
"writeMode": "follow_target",
"effectiveToolMode": "read_only",
"confirmationRequiredForWrite": true
},
"lastRuntimeSelection": {
"provider": "openai",
"model": "<string>",
"reasoningEffort": "off"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Sessions and runs
Get session metadata
Get session metadata
curl --request GET \
--url https://api.acornops.dev/api/v1/sessions/{sessionId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"createdBy": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdByUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"displayName": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"origin": "manual",
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"severity": "critical",
"scopeKind": "<string>",
"scopeName": "<string>",
"objectKind": "<string>",
"objectName": "<string>",
"writeMode": "follow_target",
"effectiveToolMode": "read_only",
"confirmationRequiredForWrite": true
},
"lastRuntimeSelection": {
"provider": "openai",
"model": "<string>",
"reasoningEffort": "off"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for linked external integration requests. Must identify the linked external user.
Required string length:
1 - 128Path Parameters
Example:
"6e30d188-7e4f-4cce-a368-40b34004d725"
Response
Session details.
Available options:
kubernetes, virtual_machine Show child attributes
Show child attributes
Available options:
manual, auto_triage Show child attributes
Show child attributes
Show child attributes
Show child attributes